""" 3)  Création d’étudiants, formation etc… Au cours de l’année un étudiant déménage et souhaite changer
ses informations personnelles. Un autre étudiant lui à changer de téléphone portable ainsi que d’adresse e-mail.
Changer les données

Vérifier si les changements se sont effectués

Fonctions de l’API utilisé : 
- create_formation
- create_ue
- create_module
- create_matiere
- create_formsemestre
- create_moduleimpl
- inscrit_etudiant
- etuds_info
- getEtudInfo
- identite_edit

 """


import random

# La variable context est définie par le script de lancement
# l'affecte ainsi pour éviter les warnins pylint:
context = context  # pylint: disable=undefined-variable
REQUEST = REQUEST  # pylint: disable=undefined-variable
import scotests.sco_fake_gen as sco_fake_gen  # pylint: disable=import-error
import scolars

G = sco_fake_gen.ScoFake(context.Notes)
G.verbose = False

# --- Création d'étudiants

etud = G.create_etud(
        code_nip="",
        nom="Poire",
        prenom="Kevin",
        code_ine="",
        civilite="M",
        etape="TST1",
        email="test1@localhost",
        emailperso="perso1@localhost",
        date_naissance="01/05/2001",
        lieu_naissance="Stains",
        dept_naissance="93",
        domicile="11, rue du test",
        codepostaldomicile="93430",
        villedomicile="Villetaneuse",
        paysdomicile="France",
        telephone="0102030405",
        typeadresse="domicile",
        boursier=None,
        description="etudiant test",
    )

# --- Création d'une formation
f = G.create_formation(acronyme="")
ue = G.create_ue(formation_id=f["formation_id"], acronyme="TST1", titre="ue test")
mat = G.create_matiere(ue_id=ue["ue_id"], titre="matière test")
mod = G.create_module(
    matiere_id=mat["matiere_id"],
    code="TSM1",
    coefficient=1.0,
    titre="module test",
    ue_id=ue["ue_id"],  # faiblesse de l'API
    formation_id=f["formation_id"],  # faiblesse de l'API
)

# --- Mise place d'un semestre
sem = G.create_formsemestre(
    formation_id=f["formation_id"],
    semestre_id=1,
    date_debut="01/01/2020",
    date_fin="30/06/2020",
)

mi = G.create_moduleimpl(
    module_id=mod["module_id"],
    formsemestre_id=sem["formsemestre_id"],
    responsable_id="bach",
)


# --- Inscription de l'étudiant

G.inscrit_etudiant(sem, etud)

print(etud)

info = context.Scolarite.etud_info(etud["etudid"], format = "json", REQUEST=REQUEST)
load_info = json.loads(info)
print(load_info)

# --- Modification des données

scolars.adresse_edit(context.Scolarite, args = {"domicile" : "9 rue du moulin"})